gnet_stats_copy_queue
Prev | Generic Network Statistics | Next

## Name

gnet_stats_copy_queue — copy queue statistics into statistics TLV

## Synopsis

`int gnet_stats_copy_queue (` | struct gnet_dump * | d,
| struct gnet_stats_queue * | q`)`;

## Arguments

`d`

  dumping handle

`q`

  queue statistics

## Description

Appends the queue statistics to the top level TLV created by `gnet_stats_start_copy`.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.

Prev | Up | Next
gnet_stats_copy_rate_est | Home | gnet_stats_copy_app